cURL
curl --request GET \ --url https://api.suprlogs.com/v1/changelog/{slug}
{ "project": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "slug": "<string>" }, "entries": [ { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "entry_type": "commit", "status": "published", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "title": "<string>", "content": "<string>", "generated_json": { "title": "<string>", "headline_items": [ { "section_type_key": "<string>", "title": "<string>", "body": "<string>" } ], "sections": [ { "section_type_key": "<string>", "label": "<string>", "items": [ { "text": "<string>", "component": "<string>" } ] } ], "component_tags": [ "<string>" ], "team_attribution": "<string>" }, "version_label": "<string>", "team_attribution": "<string>", "component_tags": [ "<string>" ], "commit_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "commit_shas": [ "<string>" ], "period_start": "2023-11-07T05:31:56Z", "period_end": "2023-11-07T05:31:56Z", "published_at": "2023-11-07T05:31:56Z" } ], "meta": { "limit": 123, "offset": 123, "count": 123 } }
Returns published changelog entries for a project slug.
Documentation IndexFetch the complete documentation index at: https://docs.suprlogs.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.suprlogs.com/llms.txt
Use this file to discover all available pages before exploring further.
1 <= x <= 100
x >= 0
Published entries and metadata.
Show child attributes